import { feedPlugin } from "@11ty/eleventy-plugin-rss";
import pluginSyntaxHighlight from "@11ty/eleventy-plugin-syntaxhighlight";
import pluginNavigation from "@11ty/eleventy-navigation";
import Image from "@11ty/eleventy-img";
import { eleventyImageTransformPlugin } from "@11ty/eleventy-img";
import markdownIt from "markdown-it";

import path from "path";

export default function(eleventyConfig) {
  eleventyConfig.addGlobalData(
    'layout', 
    './layouts/index.liquid' // Relative to `./src/_includes`
  );

  eleventyConfig
    .addPassthroughCopy("./content/feed/pretty-atom-feed.xsl")
    .addPassthroughCopy({ "src/images/favicon": "/" })
    .addPassthroughCopy({ "src/videos": "/videos" });
  


  eleventyConfig.addPlugin(pluginSyntaxHighlight, {
		preAttributes: { tabindex: 0 }
	});
	eleventyConfig.addPlugin(pluginNavigation);

  eleventyConfig.addPlugin(eleventyImageTransformPlugin);

  let options = {
    html: true,
    breaks: true,
    linkify: true
  };
  eleventyConfig.setLibrary("md", markdownIt(options));

  return {
    dir: {
      input: "./src",
      output: "./dist"
    }
  };
};